PHP ��U
前一頁 |  | 下一頁

# ZipArchive::renameName

(no version information, might be only in CVS)

ZipArchive::renameName -- Renames an entry defined by its name

## Description

bool ZipArchive::renameName ( string name, string newname )

Renames an entry defined by its index.

## Parameters

name

  Name of the entry to rename.

newname

  New name.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. Rename one entry
`<?php $zip = new ZipArchive; $res = $zip->open('test.zip') if ($res === TRUE) { $zip->renameIndex('currentname.txt','newname.txt'); $zip->close(); } else { echo 'failed, code:' . $res; } ?>`

前一頁 | 內容 | 下一頁
ZipArchive::renameIndex | 上一層 | ZipArchive::setArchiveComment